/**
 * @function _tmpl
 * @private
 * @returns {string}
 */
'use strict'

const fs = require('fs'),
    stringcase = require('stringcase'),
    types = require('./types')

/** @lends _tmpl */
function _tmpl(type) {
    let dirname = __dirname + '/../'
    let key = stringcase.camelcase(type).trim()
    let filename = types[key] || types[key + 'Scss'];
    if (!filename) {
        return null;
    }
    return fs.readFileSync(dirname + filename).toString()

}
module.exports = _tmpl;
