/**
 * apeman template of scss files.
 * @memberof module:apeman-tmpl-scss/lib
 * @function load
 * @param {object} params - Template params.
 * @param {string} [mode='644'] - File permission.
 * @param {boolean} [force=false] - Override or not.
 * @returns {object} - Coz bud configuration.
 */

'use strict'

const assert = require('assert')
const _tmpl = require('./_tmpl')

/** @lends load */
function load (params, mode = '644', force = false) {
  assert(params.type, 'params.type is required.')
  return {
    force,
    mode,
    get tmpl () {
      let tmpl = _tmpl(params.type)
      assert.ok(tmpl, "Type not found: " + params.type)
      return tmpl;
    },
    data: {
      params,
      name: params.name,
      generator: 'apeman-tmpl',
      today: new Date().toLocaleDateString(),
      pkg: require('../package.json')
    }
  }
}

module.exports = load
