/**
 * Test case for load.
 * Runs with mocha.
 */
'use strict'

const load = require('../lib/load.js')
const co = require('co')
const assert = require('assert')
const coz = require('coz')

describe('load', () => {
  it('Render base css.', () => co(function * () {
    let bud = load({
      type: 'base'
    }, '644', true)
    assert.ok(bud)
    assert.ok(bud.tmpl)
    bud.mkdirp = true
    bud.path = __dirname + '/../tmp/base.scss'
    coz.render(bud)
  }))

  it('Render vendor css.', () => co(function * () {
    let bud = load({
      type: 'vendor'
    }, '644', true)
    assert.ok(bud)
    assert.ok(bud.tmpl)
    bud.mkdirp = true
    bud.path = __dirname + '/../tmp/vendor.scss'
    coz.render(bud)
  }))
})

/* global describe, before, after, it */
